singleton Material(LIGHTS_GLASS)
{
   mapTo = "LIGHTS_GLASS";
    reflectivityMap[0] = "vehicles/veyron/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_lights.dds";
    normalMap[0] = "vehicles/veyron/TXT/bug_lights_nm_sp.dds";
    diffuseMap[1] = "vehicles/veyron/TXT/bug_lights.dds";
    normalMap[1] = "vehicles/veyron/TXT/bug_lights_nm_sp.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_lights_dmg)
{
   mapTo = "veyron_lights_dmg";
    reflectivityMap[0] = "vehicles/veyron/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_lights_dm.dds";
    normalMap[0] = "vehicles/veyron/TXT/bug_lights_nm_sp.dds";
    diffuseMap[1] = "vehicles/veyron/TXT/bug_lights_dm.dds";
    normalMap[1] = "vehicles/veyron/TXT/bug_lights_nm_sp.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(WINDOW_GLASS)
{
   mapTo = "WINDOW_GLASS";
    reflectivityMap[0] = "vehicles/veyron/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_glass.dds";
    diffuseMap[1] = "vehicles/veyron/TXT/bug_glass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    invertBackFaceNormals = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("WINDOW_GLASS.skin_glass.falken")
{
   mapTo = "WINDOW_GLASS.skin_glass.falken";
    reflectivityMap[0] = "vehicles/veyron/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_glass2.tga.dds";
    diffuseMap[1] = "vehicles/veyron/TXT/bug_glass2.tga.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    invertBackFaceNormals = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("WINDOW_GLASS.skin_glass.kicker")
{
   mapTo = "WINDOW_GLASS.skin_glass.kicker";
    reflectivityMap[0] = "vehicles/veyron/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_glass3.tga.dds";
    diffuseMap[1] = "vehicles/veyron/TXT/bug_glass3.tga.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    invertBackFaceNormals = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GRILLS)
{
    mapTo = "GRILLS";
    normalMap[0] = "vehicles/veyron/TXT/grills_nm.tga.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/grills.tga.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "129";
    translucentBlendOp = "None";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    doubleSided = "1";
    alphaTest = "1";
    alphaRef = "140";
    beamngDiffuseColorSlot = "2";
    materialTag1 = "vehicle";
    materialTag0 = "beamng";
};


singleton Material(veyron_interior_transparent)
{
    mapTo = "veyron_interior_transparent";
    diffuseMap[0] = "vehicles/veyron/TXT/interior_lod0_transparent.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "129";
    translucentBlendOp = "None";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    doubleSided = "1";
    alphaTest = "1";
    alphaRef = "140";
    beamngDiffuseColorSlot = "2";
    materialTag1 = "vehicle";
    materialTag0 = "beamng";
};

singleton Material(TARMAC_WHEEL2)
{
    mapTo = "TARMAC_WHEEL2";
    normalMap[0] = "vehicles/veyron/TXT/grills_nm.tga.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_wheel_nm.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "129";
    translucentBlendOp = "None";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    doubleSided = "1";
    alphaTest = "1";
    alphaRef = "140";
    beamngDiffuseColorSlot = "2";
    materialTag1 = "vehicle";
    materialTag0 = "beamng";
};

singleton Material("CAR_BODY_PAINT.skin.monster")
{
   mapTo = "CAR_BODY_PAINT.skin.monster";
	diffuseColor[0] = "1 1 1 0.1";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_main2.tga.dds";
    dynamicCubemap = true;
    doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};

singleton Material("CAR_BODY_PAINT.skin.kicker")
{
   mapTo = "CAR_BODY_PAINT.skin.kicker";
    diffuseColor[0] = "1 1 1 0.1";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_main.dds";
    dynamicCubemap = true;
    doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};

singleton Material(CAR_BODY_PAINT_NM)
{
   mapTo = "CAR_BODY_PAINT_NM";
    diffuseMap[2] = "vehicles/veyron/TXT/mpnt_c.dds";
    specularMap[2] = "vehicles/veyron/TXT/mpnt_s.dds";
    normalMap[2] = "vehicles/veyron/TXT/bug_main_nm.dds";
    diffuseMap[1] = "vehicles/veyron/TXT/mpnt_d.dds";
    specularMap[1] = "vehicles/veyron/TXT/mpnt_s.dds";
    normalMap[1] = "vehicles/veyron/TXT/bug_main_nm.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/veyron/TXT/mpnt_s.dds";
    normalMap[0] = "vehicles/veyron/TXT/bug_main_nm.dds";
    roughnessFactor[0] = "0.445299804";
    roughnessFactor[1] = "0.607767701";
    roughnessFactor[2] = "0.445299804";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1.2 1.2 1.2 1";
    specularColor[1] = "1.2 1.2 1.2 1";
    specularColor[2] = "1.2 1.2 1.2 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    doubleSided = "1";
    invertBackFaceNormals = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(TARMAC_WHEEL)
{
    mapTo = "TARMAC_WHEEL";
    normalMap[0] = "vehicles/veyron/TXT/bug_wheel_nm.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_wheel.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 0.1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("TARMAC_WHEEL.skin_wheel.blue")
{
    mapTo = "TARMAC_WHEEL.skin_wheel.blue";
    normalMap[0] = "vehicles/veyron/TXT/bug_wheel_nm.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_wheel2.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 0.1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(DISCS)
{
    mapTo = "DISCS";
    normalMap[0] = "vehicles/veyron/TXT/disc_nm.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/disc.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(CALIPER)
{
    mapTo = "CALIPER";
    normalMap[0] = "vehicles/veyron/TXT/disc_nm.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/caliper_nm.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_nodamage)
{
    mapTo = "veyron_nodamage";
    diffuseMap[0] = "vehicles/veyron/TXT/nodamage_lod0.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_interior)
{
    mapTo = "veyron_interior";
    diffuseMap[0] = "vehicles/veyron/TXT/interior_lod0.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_interior_g)
{
    mapTo = "veyron_interior_g";
    diffuseMap[0] = "vehicles/veyron/TXT/interior_lod0.dds";
    diffuseMap[1] = "vehicles/veyron/TXT/interior_lod0_g.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    emissive[1] = "0.7";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_digital_gauge)
{
    mapTo = "veyron_digital_gauge";
    diffuseMap[0] = "vehicles/veyron/TXT/black.png";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    emissive[1] = "0.7";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_leather)
{
    mapTo = "veyron_leather";
    normalMap[0] = "vehicles/veyron/TXT/bump_leather_n.png";
    diffuseMap[0] = "vehicles/veyron/TXT/bump_leather.png";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_bump_plastic)
{
    mapTo = "veyron_bump_plastic";
    normalMap[0] = "vehicles/veyron/TXT/bump_plastic_n.png";
    diffuseMap[0] = "vehicles/veyron/TXT/bump_plastic.png";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_carbon_fiber)
{
    mapTo = "veyron_carbon_fiber";
    diffuseMap[1] = "vehicles/veyron/TXT/carbonfiber_001_diff.png";
    normalMap[1] = "vehicles/veyron/TXT/carbonfiber_001_nrml.png";
    specularMap[1] = "vehicles/veyron/TXT/mpnt_s.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/veyron/TXT/carbonfiber_001_nrml.png";
    specularMap[0] = "vehicles/veyron/TXT/mpnt_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    roughnessFactor[0] = "0.445299804";
    roughnessFactor[1] = "0.607767701";
    roughnessFactor[2] = "0.445299804";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    roughnessFactor[0] = "0.445299804";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(TARMAC_TYRE_TREAD)
{
    mapTo = "TARMAC_TYRE_TREAD";
    normalMap[0] = "vehicles/veyron/TXT/tread_nm.tga.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/tread.tga.dds";
    specularMap[0] = "vehicles/veyron/paint_r.png";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("TARMAC_TYRE_TREAD.skin_tire.dirt")
{
    mapTo = "TARMAC_TYRE_TREAD.skin_tire.dirt";
    normalMap[0] = "vehicles/veyron/TXT/tread_nm.tga.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/tread.tga.dds";
    specularMap[0] = "vehicles/veyron/paint_r.png";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(TARMAC_TYRE_WALL)
{
    mapTo = "TARMAC_TYRE_WALL";
    normalMap[0] = "vehicles/veyron/TXT/bug_wheel_nm.dds";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_wheel.dds";
    specularMap[0] = "vehicles/veyron/paint_r.png";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(MATT)
{
    mapTo = "MATT";
    diffuseMap[1] = "vehicles/veyron/TXT/bug_main.dds";
    normalMap[1] = "vehicles/veyron/TXT/bug_main_nm.dds";
    specularMap[1] = "vehicles/veyron/TXT/bug_specocc.png";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_main.dds";
    normalMap[0] = "vehicles/veyron/TXT/bug_main_nm.dds";
    specularMap[0] = "vehicles/veyron/TXT/bug_specocc.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SHINY_METAL)
{
    mapTo = "SHINY_METAL";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_main.dds";
    specularMap[0] = "vehicles/veyron/TXT/bug_specocc.dds";
    diffuseColor[0] = "1 1 1 0.1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(LIGHTS_POD)
{
    mapTo = "LIGHTS_POD";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_lights.dds";
    normalMap[0] = "vehicles/veyron/TXT/bug_lights_nm_sp.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 0.1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(LIGHTS_SATIN)
{
    mapTo = "LIGHTS_SATIN";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_lights.dds";
    normalMap[0] = "vehicles/veyron/TXT/bug_lights_nm_sp.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 0.1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(CABIN)
{
    mapTo = "CABIN";
    diffuseMap[0] = "vehicles/veyron/TXT/bug_cabin.dds";
    specularMap[0] = "vehicles/common/null2.dds";
    diffuseColor[0] = "1 1 1 0.1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(running)
{
    mapTo = "running";
   diffuseMap[0] = "vehicles/veyron/TXT/bug_lights_on.dds";
   specular[0] = "0.0995694399 0.0995694399 0.0995694399 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
    glow[0] = "1";
    emissive[0] = "0.7";
};

singleton Material(veyron_glass_dmg)
{
    mapTo = "veyron_glass_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "transparent_txt.png";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_windshield_dmg)
{
    mapTo = "veyron_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "transparent_txt.png";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(veyron_chmsl)
{
   mapTo = "veyron_chmsl";
};

singleton Material(veyron_runninglight_L)
{
   mapTo = "veyron_runninglight_L";
};

singleton Material(veyron_runninglight_R)
{
   mapTo = "veyron_runninglight_R";
};

singleton Material(veyron_taillight)
{
   mapTo = "veyron_taillight";
};

singleton Material(veyron_reverselight)
{
   mapTo = "veyron_reverselight";
};

singleton Material(veyron_signal_R)
{
   mapTo = "veyron_signal_R";
};

singleton Material(veyron_signal_L)
{
   mapTo = "veyron_signal_L";
};

singleton Material(veyron_taillight_R)
{
   mapTo = "veyron_taillight_R";
};

singleton Material(veyron_taillight_L)
{
   mapTo = "veyron_taillight_L";
};

singleton Material(veyron_headlight)
{
   mapTo = "veyron_headlight";
};

singleton Material(veyron_lights)
{
   mapTo = "veyron_lights";
   diffuseMap[0] = "vehicles/veyron/TXT/bug_lights.dds";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(veyron_lights_on)
{
   mapTo = "veyron_lights_on";
   diffuseMap[0] = "vehicles/veyron/TXT/bug_lights_on.dds";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(veyron_signal_on)
{
   mapTo = "veyron_signal_on";
   diffuseMap[0] = "vehicles/veyron/TXT/orangeyellow.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(veyron_lights_on_intense)
{
   mapTo = "veyron_lights_on_intense";
   diffuseMap[0] = "vehicles/veyron/TXT/bug_lights_on.dds";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(veyron_brakes_on)
{
   mapTo = "veyron_brakes_on";
   diffuseMap[0] = "vehicles/veyron/TXT/bug_lights_on.dds";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};